# Uses of Interface
org.eclipse.birt.chart.ui.swt.interfaces.IDataServiceProvider

## Uses of IDataServiceProvider in org.eclipse.birt.chart.ui.swt.interfaces

Methods in org.eclipse.birt.chart.ui.swt.interfaces that return IDataServiceProvider
Modifier and Type
Method
Description
`IDataServiceProvider`
IChartWizardContext.`getDataServiceProvider()`
Methods in org.eclipse.birt.chart.ui.swt.interfaces with parameters of type IDataServiceProvider
Modifier and Type
Method
Description
`void`
ISeriesUIProvider.`validateSeriesBindingType(org.eclipse.birt.chart.model.component.Series series, IDataServiceProvider idsp)`
Validate whether the series can contain the data type.